Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.protocol.sync
Class SendingUnsubscribe

    java.lang.Object
      org.teleal.cling.protocol.SendingAsync
          org.teleal.cling.protocol.SendingSync<OutgoingUnsubscribeRequestMessage,StreamResponseMessage>
              org.teleal.cling.protocol.sync.SendingUnsubscribe

All Implemented Interfaces:
  Runnable

    public class SendingUnsubscribe

extends SendingSync<OutgoingUnsubscribeRequestMessage,StreamResponseMessage>

Disconnecting a GENA event subscription with a remote host.

Calls the `RemoteGENASubscription.end(org.teleal.cling.model.gena.CancelReason, org.teleal.cling.model.message.UpnpResponse)` method if the subscription request was responded to correctly. No `CancelReason` will be provided if the unsubscribe procedure completed as expected, otherwise `UNSUBSCRIBE_FAILED` is used. The response might be `null` if no response was received from the remote host.

Author:
  Christian Bauer

Field Summary
`protected RemoteGENASubscription` | `subscription`

Fields inherited from class org.teleal.cling.protocol.SendingSync
`outputMessage`

Constructor Summary
`SendingUnsubscribe(UpnpService upnpService, RemoteGENASubscription subscription)`

Method Summary
`protected StreamResponseMessage` | `executeSync()`

Methods inherited from class org.teleal.cling.protocol.SendingSync
`execute, getInputMessage, getOutputMessage, toString`

Methods inherited from class org.teleal.cling.protocol.SendingAsync
`getUpnpService, run`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### subscription

    protected final RemoteGENASubscription subscription

Constructor Detail

### SendingUnsubscribe

    public SendingUnsubscribe(UpnpService upnpService,
                              RemoteGENASubscription subscription)

Method Detail

### executeSync

    protected StreamResponseMessage executeSync()

  Specified by:
    `executeSync` in class `SendingSync<OutgoingUnsubscribeRequestMessage,StreamResponseMessage>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.